FLANG

Public Types | Public Member Functions | List of all members
Fortran::common::Reference< A > Class Template Reference

## Public Types
using | type = A

## Public Member Functions
| Reference (type &x)
| Reference (const Reference &that)
| Reference (Reference &&that)
Reference & | operator= (const Reference &that)
Reference & | operator= (Reference &&that)
| operator std::conditional_t< std::is_const_v< type >, type &, void > () const noexcept
type & | get () const noexcept
type * | operator-> () const
type & | operator* () const
bool | operator== (std::add_const_t< A > &that) const
bool | operator!= (std::add_const_t< A > &that) const
bool | operator== (const Reference &that) const
bool | operator!= (const Reference &that) const

The documentation for this class was generated from the following file:

- include/flang/Common/reference.h